#!/bin/bash

BASEDIR=$(dirname $0)
source $BASEDIR/setup.sh # assume the "setup" file is in the same directory as this script.

echo "Environment variables................"
echo "TRANSABYSS_VERSION: $TRANSABYSS_VERSION"
echo "TRANSABYSS_PATH:    $TRANSABYSS_PATH"
echo "PYTHONPATH:         $PYTHONPATH"
echo "ABYSSPATH:          $ABYSSPATH"
echo "PICARD_DIR:         $PICARD_DIR"
echo "PATH:               $PATH"
echo
echo "General purpose scripts.............."
echo "getfaseq:                  " `which getfaseq 2>/dev/null || echo N/A`
echo "filter_fasta.awk:          " `which filter_fasta.awk 2>/dev/null || echo N/A`
echo "ta-sam_strip_qual.awk:     " `which ta-sam_strip_qual.awk 2>/dev/null || echo N/A`
echo "ta-sam_strip_seq_qual.awk: " `which ta-sam_strip_seq_qual.awk 2>/dev/null || echo N/A`
echo
echo "ABySS and related...................."
echo "abyss-pe:          " `which abyss-pe 2>/dev/null || echo N/A`
echo "abyss-index:       " `which abyss-index 2>/dev/null || echo N/A`
echo "abyss-map:         " `which abyss-map 2>/dev/null || echo N/A`
echo "abyss-filtergraph: " `which abyss-filtergraph 2>/dev/null || echo N/A`
echo "abyss-junction:    " `which abyss-junction 2>/dev/null || echo N/A`
echo "MergeContigs:      " `which MergeContigs 2>/dev/null || echo N/A`
echo
echo "Alignment and related................"
echo "bwa:      " `which bwa 2>/dev/null || echo N/A`
echo "gmap:     " `which gmap 2>/dev/null || echo N/A`
echo "samtools: " `which samtools 2>/dev/null || echo N/A`
echo
echo "Trans-ABySS wrappers and related....."
echo "python:         " `which python 2>/dev/null || echo N/A`
echo "pysam:          " `python -c 'import pysam; print pysam.__file__' 2>/dev/null || echo N/A`
echo "trans-abyss.py: " `ls $TRANSABYSS_PATH/wrappers/trans-abyss.py 2>/dev/null || echo N/A`
echo "bash:           " `which bash 2>/dev/null || echo N/A`
echo "qsub:           " `which qsub 2>/dev/null || echo N/A`

