#! /bin/bash
#$ -S /bin/bash
#$ -N sim002-bwasw
#$ -V
#$ -R y
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/cluster
#$ -hold_jid 3866875
#$ -l mem_token=2G,mem_free=2G,h_vmem=2G
#$ -pe ncpus 4
#$ -t 1-1

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

TA_JOBID=$SGE_TASK_ID
echo "task id:  $TA_JOBID"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

time bwa bwasw /reference/genomes/transabyss/bwasw-0.6.1/hg18/hg18.fa /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/input/seq.$TA_JOBID.fa -t 4 | ta-sam_strip_seq_qual.awk > /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/output/seq.$TA_JOBID.sam

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
