#! /bin/bash
#$ -S /bin/bash
#$ -N sim002-fusions
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/fusions/cluster
#$ -l mem_token=3G,mem_free=3G,h_vmem=3G
#$ -t 1-1

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

TA_JOBID=$SGE_TASK_ID
echo "task id:  $TA_JOBID"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

time python /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/analysis/fusion.py /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/output/seq.$TA_JOBID.sam /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/fusions/cluster/$TA_JOBID -B /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_genome/sample-final.bam -b /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/sim002-contigs.bam -G hg18 k -i 0 -q 0.2 -Q 0.4 -O -C /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/input/seq.$TA_JOBID.fa

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
