#! /bin/bash
#$ -S /bin/bash
#$ -N sim002-indels
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/indels/cluster
#$ -l mem_token=3G,mem_free=3G,h_vmem=3G
#$ -t 1-1

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

TA_JOBID=$SGE_TASK_ID
echo "task id:  $TA_JOBID"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

time python /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/analysis/snv_caller.py -a /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/output/seq.$TA_JOBID.sam -c /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/contigs_to_genome/sim002-contigs/input/seq.$TA_JOBID.fa -g hg18 -o /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/indels/cluster/$TA_JOBID -m k -T genome -G /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_genome/sample-final.bam -C /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/sim002-contigs.bam -O -L -I 0

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
