#! /bin/bash
#$ -S /bin/bash
#$ -N sim002-merge
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/merge/indel_bubbles/cluster
#$ -hold_jid 3866817
#$ -l mem_token=1G,mem_free=1G,h_vmem=1G

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

time /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/wrappers/abyss-rmdups-iterative -n sim002 -i /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/merge/indel_bubbles -o /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/merge/indel_bubbles -t 8 -b && cat /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/merge/indel_bubbles/sim002-b.fa /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/assembly/k44/sim002-contigs.fa > /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/merge/sim002-contigs.fa

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
