#! /bin/bash
#$ -S /bin/bash
#$ -N sim002-abyssmap-0001
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/cluster
#$ -l mem_token=1G,mem_free=1G,h_vmem=1G
#$ -l tmpfree=8G,tmp_token=8G

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

cd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs && abyss-map /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/reads/1.reads_1.fq /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/reads/2.reads_2.fq /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/sim002-contigs.fa -k 44 -j 12 | ta-sam_strip_qual.awk  | samtools view -hSu - | samtools sort -m 1600000000 -o - $TMPDIR > /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/0001.2.reads_2.fq.bam || rm -f $TMPDIR*.bam 2> /dev/null && samtools index /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/0001.2.reads_2.fq.bam;
cd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs && ln -sf /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/0001.2.reads_2.fq.bam /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/sim002-contigs.bam && ln -sf /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/0001.2.reads_2.fq.bam.bai /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4_genome/Trans-ABySS/sim002/trans-abyss-v1.4.4/reads_to_contigs/sim002-contigs.bam.bai;


echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
