#! /bin/bash
#$ -S /bin/bash
#$ -N sim0003-bwa_aln-0001
#$ -V
#$ -R y
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/cluster
#$ -hold_jid 3691095
#$ -l mem_token=2G,mem_free=2G,h_vmem=2G
#$ -pe ncpus 4

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

cd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs && time bwa aln -t4  -f /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/1.reads_1_export.fq.sai /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.fa /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/reads/1.reads_1_export.fq;


echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
