#! /bin/bash
#$ -S /bin/bash
#$ -N sim0003-bwa_sampe-0001-0002
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/cluster
#$ -hold_jid 3691096,3691097
#$ -l mem_token=20G,mem_free=20G,h_vmem=20G
#$ -l tmpfree=100G,tmp_token=100G

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

cd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs && time bwa sampe -n50 -s -P -r '@RG	ID:1	LB:1	SM:1' /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.fa /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/1.reads_1_export.fq.sai /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/2.reads_2_export.fq.sai /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/reads/1.reads_1_export.fq /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/reads/2.reads_2_export.fq | ta-sam_strip_qual.awk  | samtools view -hSu - | samtools sort -m 1600000000 -o - $TMPDIR > /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/1.reads_1_export.fq.sorted.bam || rm -f $TMPDIR*.bam 2> /dev/null && samtools index /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/1.reads_1_export.fq.sorted.bam;
cd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs && ln -sf /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/1.reads_1_export.fq.sorted.bam /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.bam && ln -sf /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/1.reads_1_export.fq.sorted.bam.bai /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.bam.bai;


echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
