#! /bin/bash
#$ -S /bin/bash
#$ -N sim0003-index
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/cluster
#$ -l mem_token=5G,mem_free=5G,h_vmem=5G

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

cd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs && samtools faidx /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.fa && numbases=`awk '{SUM += $2} END { print SUM }' /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.fa.fai` && echo "$numbases bases";
if [ $numbases -le 10000000 ]; then bwa index -a is /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.fa;else bwa index -a bwtsw /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.fa;fi


echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
