#! /bin/bash
#$ -S /bin/bash
#$ -N sim0003-splicing
#$ -V
#$ -j y
#$ -wd /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/splicing/cluster
#$ -l mem_token=5G,mem_free=5G,h_vmem=5G
#$ -t 1-1

source /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/setup.sh

echo "hostname: $(hostname)"
echo "temp dir: $TMPDIR"

TA_JOBID=$SGE_TASK_ID
echo "task id:  $TA_JOBID"

ulimit -c 1000
set -euo pipefail

echo "Job started at: $(date)"
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"

time python /genesis/scratch/transabyss/trans-ABySS/v1.4.4/code/analysis/model_matcher.py /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/contigs_to_genome/sim0003-contigs/output/seq.$TA_JOBID.sam /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/splicing/cluster/$TA_JOBID -g hg19 -l -d -f /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/contigs_to_genome/sim0003-contigs/input/seq.$TA_JOBID.fa -r -C /genesis/scratch/transabyss/workspace/kmnip/test_1.4.4/Trans-ABySS/sim0003/trans-abyss-v1.4.4/reads_to_contigs/sim0003-contigs.bam

echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
echo "Job ended at:   $(date)"
