import sys, os, ConfigParser

def initialize_settings(config_file, project=None):
    #given config file, return dictionary

    config = ConfigParser.ConfigParser()
    config.read(config_file)

    settings = {}       
                
    for section in config.sections():
        settings[section] = {}
        for name in config.options(section):
            final_section = section
            value = config.get(section, name)
            
            if project is not None:
                if project == section:
                    if name.endswith('-cmd'):
                        final_section = 'commands'
                        name = name[:-4]
                
                    elif name.endswith('-mem'):
                        final_section = 'memory'
                        name = name[:-4]
                    
                    elif name.endswith('-tmpmem'):
                        final_section = 'tmpmem'
                        name = name[:-7]

                    elif name.endswith('-java'):
                        final_section = 'java'
                        name = name[:-5]
            
            settings[final_section][name] = value

    return settings

def get_value(values, section, name):
    #given dictionary(values), section, and name, get value"

    if values.has_key(section) and values[section].has_key(name):
        return values[section][name]
    else:
        return None
    
def create_args(values, section, name, args_dict=None):
    args = get_value(values, section, name)    
    if args:
        for field,value in args_dict.iteritems():
            args = args.replace(str(field), str(value))
    else:
        args = ''
            
    return args

def get_setup_cmd():
    try:
        return "source " + os.environ['TRANSABYSS_PATH'] + "/setup.sh"
    except KeyError:
        sys.stderr.write("ERROR: Cannot find TRANSABYSS_PATH in env!\n")
    return None
