#!/usr/bin/env python
import os, sys, string, re, subprocess

def __main__():
    args = sys.argv    
    readdir = args[1] # directory containing reads files
    listpath = args[2] # path to the output text files
    id_to_fastq = dict()

    files = os.listdir(readdir)
    bam_files = []
    for f in files:
        if f.endswith(".fq") or f.endswith(".fastq") or f.endswith(".fq.gz") or f.endswith(".fastq.gz"):
            #ie. 1.D0F2UACXX_5_1_concat_qseq.txt.bz2.0001.fq.gz
            input_read_id = f.split('.', 1)[0]
            if input_read_id in id_to_fastq.keys():                
                id_to_fastq[input_read_id].append(f)
            else:
                id_to_fastq[input_read_id] = [f]
        elif f.endswith(".bam"):
            bam_files.append(f)

    rids = id_to_fastq.keys()
    num_rids = len(rids)
    #print num_rids
    
    if num_rids == 0 and len(bam_files) == 0:
        print "ERROR: Cannot find any reads files (*.fq, *.fq.gz, *.fastq, *.fastq.gz, *.bam) in " + readdir
        exit(1)

    if num_rids%2 > 0 or len(id_to_fastq)%2 > 0:
        print "ERROR: Uneven number of reads"
        exit(1)   
    
    rids.sort()
    index = 0
    #print id_to_fastq
    fh = open(listpath, 'w')
    while index < num_rids and index+1 < num_rids:
        list1 = id_to_fastq[rids[index]]
        list2 = id_to_fastq[rids[index+1]]
        
        list1.sort()
        list2.sort()
        
        list1_len = len(list1)
        list2_len = len(list2)
        
        if list1_len == 0 and list1_len != list2_len:
            print "ERROR: Reads are not paired properly"
            exit(1)
        
        inner_index = 0
        while inner_index < list1_len:
            fh.write(readdir + '/' + list1[inner_index]+'\n')
            fh.write(readdir + '/' + list2[inner_index]+'\n')
            inner_index += 1
        
        index += 2
    for b in bam_files:
        fh.write(readdir + '/' + b + '\n')
    fh.close()

if __name__ == "__main__":
    __main__()
